package com.usky.fire.service;

import com.usky.common.mybatis.core.CrudService;
import com.usky.fire.domain.PatrolInspectionArea;
import com.usky.fire.service.vo.PatrolInspectionAreaVo;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author JCB
 * @since 2022-07-12
 */
public interface PatrolInspectionAreaService extends CrudService<PatrolInspectionArea> {

    void addPatrolInspectionArea(PatrolInspectionAreaVo patrolInspectionAreaVo);

    void addPatrolInspectionAreaSon(PatrolInspectionArea patrolInspectionArea);

    void updatePatrolInspectionArea(PatrolInspectionArea patrolInspectionArea);

    void delPatrolInspectionArea(Integer id);

    List<PatrolInspectionArea> patrolInspectionAreaList(Integer id, String areaName);

    List<PatrolInspectionArea> patrolInspectionAreaSelect(Integer areaFid);

    /**
     * 根据单位ID获取区域ID
     *
     * @param deptId 部门ID
     * @return
     */
    List<Integer> areaIdList(Integer deptId);
}
